<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Supervisión Mantenimiento</strong>
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>¿Con qué deseas comenzar hoy?</strong>
      </div>
    </div>
    <div v-if="nivel == 1">
      <HomeSupervisionMttoAvanzado />
    </div>
    <div v-if="nivel == 2">
      <HomeSupervisionMttoBasico />
    </div>
  </div>
</template>
<style scoped>
.generalCard .cardTitle {
  border-top: 2px solid #ffcd00;
}
</style>
<script>
import store from "@/store";
const serviceLocalStorage = store.state.serviceLocalStorage;
import HomeSupervisionMttoAvanzado from "../HomeSupervisionMttoAvanzado.vue";
import HomeSupervisionMttoBasico from "../HomeSupervisionMttoBasico.vue";
export default {
  components: { HomeSupervisionMttoAvanzado, HomeSupervisionMttoBasico },
  name: "supervision_mantenimiento_asignaciones_home",
  data() {
    return {
      nivel: 0,
      user: null,
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Supervisión Mantenimiento",
          disabled: false,
          exact: true,
          to: {
            name: "supervision_mantenimiento_asignaciones_home",
          },
        },
      ],
    };
  },
  methods: {
    getUser() {
      this.user = serviceLocalStorage.userToken();
      this.perfilesEncontrados = store.state.perfiles;
      this.getPerfil();
    },
    getPerfil() {
      /**
       * 327  ADMINISTRADOR MANTENIMIENTO— > (NUEVO + ASIGNACIONES) EXISTE
       * 326  DIRECTOR MANTENIMIENTO
       * 325  REGIONAL MANTENIMIENTO
       * 206  COORDINADOR MANTENIMIENTO
       * 205  SUPERVISOR MANTENIMIENTO
       */
      var usuariosFranquicia = [
        "73610",
        "189871",
        "73606",
        "202622",
        "191312",
        "331952",
        "370566",
      ];

      if (this.user && usuariosFranquicia.includes("" + this.user.empleado)) {
        this.nivel = 1;
      } else if (this.perfilesEncontrados.length > 0) {
        let admin = this.perfilesEncontrados.find(
          (objeto) => objeto.perfil.id_perfil == 327
        );
        let director = this.perfilesEncontrados.find(
          (objeto) => objeto.perfil.id_perfil == 326
        );

        let regional = this.perfilesEncontrados.find(
          (objeto) => objeto.perfil.id_perfil == 325
        );

        let coordinador = this.perfilesEncontrados.find(
          (objeto) => objeto.perfil.id_perfil == 206
        );

        let supervisor = this.perfilesEncontrados.find(
          (objeto) => objeto.perfil.id_perfil == 205
        );
        if (admin) {
          this.nivel = 1;
        }
        if (director || regional || coordinador || supervisor) {
          this.nivel = 2;
        }
      }
    },
  },
  created() {
    this.getUser();
  },
};
</script>
